Bug 1440 - Winbind can not start (fixed)
Winbind can not start (fixed)
Status: RESOLVED LATER
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.5
All Linux
: P4 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-07 22:44 UTC by MCSE+RCE
Modified: 2005-02-07 09:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MCSE+RCE 2004-06-07 22:44:42 UTC
We are running Fedora Core 2 with kernel 2.6.6-1.422.i686. I have just installed
the samba-3.0.5pre1 packages.

We have joined the samba into the Windows 2000 ADS.

But we can not start the winbind. The smb and nmbd are started ok.

The error for the winbind failure is: 
Jun  8 15:37:57 hp1005 winbindd[1854]:   winbindd: idmap uid range missing or
invalid 
Jun  8 15:37:57 hp1005 winbindd[1854]: [2004/06/08 15:37:57, 0]
nsswitch/winbindd_util.c:winbindd_param_init(561) 
Jun  8 15:37:57 hp1005 winbindd[1854]:   winbindd: cannot continue, exiting. 
Jun  8 15:37:57 hp1005 winbind: winbindd startup failed

But We have following lines in the smb.conf as well.
idmap uid = 10000 - 20000
idmap gid = 10000 - 20000
winbind enum users = yes
winbind enum groups = yes
winbind separator = +
Comment 1 MCSE+RCE 2004-06-07 22:56:20 UTC
I have just fixed the problem. I have changed the config file and then it works.

new lines:
idmap uid = 10000-20000
idmap gid = 10000-20000
winbind enum users = yes
winbind enum groups = yes
winbind separator = +

Thanks, anyway....
Comment 2 Gerald (Jerry) Carter 2004-06-25 08:10:31 UTC
known issue with parsing uid or gid range.  Needs to be fixed eventually.
Comment 3 Gerald (Jerry) Carter 2004-11-15 20:11:32 UTC
later.
Comment 4 Gerald (Jerry) Carter 2005-02-07 09:47:46 UTC
originally against 3.0.5pre1 (which became 3.0.6pre1 due to security release))